{
  "models": [
    {
      "name": "TeamRegistration",
      "synchronizable": true,
      "sideStorable": true,
      "observable": true,
      "relationshipNames": [],
      "properties": [
        {
          "name": "id",
          "type": "String",
          "defaultValue": "Store.randomId()"
        },
        {
          "name": "tournament",
          "type": "String"
        },
        {
          "name": "groupStage",
          "type": "String",
          "optional": true,
          "foreignKey": "GroupStage*"
        },
        {
          "name": "registrationDate",
          "type": "Date",
          "optional": true
        },
        {
          "name": "callDate",
          "type": "Date",
          "optional": true
        },
        {
          "name": "bracketPosition",
          "type": "Int",
          "optional": true
        },
        {
          "name": "groupStagePosition",
          "type": "Int",
          "optional": true
        },
        {
          "name": "comment",
          "type": "String",
          "optional": true
        },
        {
          "name": "source",
          "type": "String",
          "optional": true
        },
        {
          "name": "sourceValue",
          "type": "String",
          "optional": true
        },
        {
          "name": "logo",
          "type": "String",
          "optional": true
        },
        {
          "name": "name",
          "type": "String",
          "optional": true
        },
        {
          "name": "walkOut",
          "type": "Bool",
          "defaultValue": "false"
        },
        {
          "name": "wildCardBracket",
          "type": "Bool",
          "defaultValue": "false"
        },
        {
          "name": "wildCardGroupStage",
          "type": "Bool",
          "defaultValue": "false"
        },
        {
          "name": "weight",
          "type": "Int",
          "defaultValue": "0"
        },
        {
          "name": "lockedWeight",
          "type": "Int",
          "optional": true
        },
        {
          "name": "confirmationDate",
          "type": "Date",
          "optional": true
        },
        {
          "name": "qualified",
          "type": "Bool",
          "defaultValue": "false"
        },
        {
          "name": "finalRanking",
          "type": "Int",
          "optional": true
        },
        {
          "name": "pointsEarned",
          "type": "Int",
          "optional": true
        }
      ]
    }
  ]
}
